Bug 706155

Summary: logcheck-test uses mktemp --tempdir
Product: [Fedora] Fedora EPEL Reporter: Till Maas <opensource>
Component: logcheckAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el5CC: mrunge, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: logcheck-1.3.13-6.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-18 19:33:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Till Maas 2011-05-19 16:17:20 UTC
Description of problem:
logcheck-test uses "mktemp --tempdir". mktemp in CentOS 5 does not support this command line argument. Afaics "mktemp -t" can be used instead.

logcheck-test fails to use a specified rules file to test the rules.

Comment 1 Till Maas 2011-09-26 07:00:21 UTC
The update recently pushed to stable still contains this bug.

Comment 2 Fedora Update System 2011-09-28 20:29:31 UTC
logcheck-1.3.13-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/logcheck-1.3.13-6.el5

Comment 3 Fedora Update System 2011-09-29 03:22:14 UTC
Package logcheck-1.3.13-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing logcheck-1.3.13-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/logcheck-1.3.13-6.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-18 19:33:46 UTC
logcheck-1.3.13-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.